Bug 473441 - *** glibc detected *** /usr/lib/firefox-3.0.4/firefox: double free or corruption (fasttop): 0x09f3aa18 ***
*** glibc detected *** /usr/lib/firefox-3.0.4/firefox: double free or corrupt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 10:00 EST by Alexander Todorov
Modified: 2009-12-18 02:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:00:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ltrace from firefox /not sure how helpful is this/ (10.42 KB, text/plain)
2008-12-06 10:07 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2008-11-28 10:00:50 EST
Description of problem:
FF crash

Version-Release number of selected component (if applicable):
firefox-3.0.4-1.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. run FF
2.
3.
  
Actual results:
traceback

Expected results:
ff runs

Additional info:
libsiecap11.so is a library to manage a pkcs11 smart card. This is a closed source product. After installing F10 and fixind SELinux context on this file FF was working and I was able to use to use the certificates on the smart card. After upgrading yesterday it stopped working. FF version hasn't changed after the install but some libs may have changed.



$ firefox 
*** glibc detected *** /usr/lib/firefox-3.0.4/firefox: double free or corruption (fasttop): 0x09f3aa18 ***
======= Backtrace: =========
/lib/libc.so.6[0x209394]
/lib/libc.so.6(cfree+0x96)[0x20b346]
/usr/lib/libsiecap11.so(pkcs11_FinalizeSlotList+0x4c)[0x6cbe49c]
/usr/lib/libsiecap11.so(pkcs11_FinalizeContext+0x33)[0x6cbe4e3]
/usr/lib/libsiecap11.so(_C_Initialize+0x159)[0x6c9f159]
/lib/libnss3.so[0x21f8583]
/lib/libnss3.so[0x21f8ba8]
/lib/libnss3.so(SECMOD_LoadModule+0x18b)[0x220bfeb]
/lib/libnss3.so(SECMOD_LoadModule+0x31f)[0x220c17f]
/lib/libnss3.so[0x21d8bf2]
/lib/libnss3.so(NSS_InitReadWrite+0x89)[0x21d9259]
/usr/lib/xulrunner-1.9/libxul.so[0x2cd9b4a]
/usr/lib/xulrunner-1.9/libxul.so[0x2cd9ff5]
/usr/lib/xulrunner-1.9/libxul.so[0x2ce4b46]
/usr/lib/xulrunner-1.9/libxul.so[0x2e986fc]
/usr/lib/xulrunner-1.9/libxul.so[0x2ec484d]
/usr/lib/xulrunner-1.9/libxul.so[0x2ec58ec]
/usr/lib/xulrunner-1.9/libxul.so[0x2e9355d]
/usr/lib/xulrunner-1.9/libxul.so[0x2e93579]
/usr/lib/xulrunner-1.9/libxul.so[0x2e92b65]
/usr/lib/xulrunner-1.9/libxul.so[0x276f943]
/usr/lib/xulrunner-1.9/libxul.so[0x2772586]
/usr/lib/xulrunner-1.9/libxul.so[0x2782113]
/usr/lib/xulrunner-1.9/libxul.so[0x289273a]
/usr/lib/xulrunner-1.9/libxul.so[0x2895ce2]
/usr/lib/xulrunner-1.9/libxul.so[0x2895ddf]
/usr/lib/xulrunner-1.9/libxul.so[0x28c70d8]
/usr/lib/xulrunner-1.9/libxul.so[0x28c78d2]
/usr/lib/xulrunner-1.9/libxul.so[0x27fc63a]
/usr/lib/xulrunner-1.9/libxul.so[0x27fe1c0]
/usr/lib/xulrunner-1.9/libxul.so[0x27fef2b]
/usr/lib/xulrunner-1.9/libxul.so[0x27ff605]
/usr/lib/xulrunner-1.9/libxul.so[0x2c2e97b]
/usr/lib/xulrunner-1.9/libxul.so[0x2c369b7]
/usr/lib/xulrunner-1.9/libxul.so[0x2c335d7]
/usr/lib/xulrunner-1.9/libxul.so[0x2c3544f]
/usr/lib/xulrunner-1.9/libxul.so[0x2c3a863]
/usr/lib/xulrunner-1.9/libxul.so[0x2e9408f]
/usr/lib/xulrunner-1.9/libxul.so[0x2e92b15]
/usr/lib/xulrunner-1.9/libxul.so[0x2a9ba14]
/usr/lib/xulrunner-1.9/libxul.so[0x293f841]
/usr/lib/xulrunner-1.9/libxul.so[0x2932acd]
/usr/lib/xulrunner-1.9/libxul.so[0x29328a7]
/usr/lib/xulrunner-1.9/libxul.so[0x2c33d44]
/usr/lib/xulrunner-1.9/libxul.so[0x2c30f6e]
/usr/lib/xulrunner-1.9/libxul.so[0x2c6ac8d]
/usr/lib/xulrunner-1.9/libxul.so[0x2c6bac4]
/usr/lib/xulrunner-1.9/libxul.so(NS_InvokeByIndex_P+0x29)[0x2ed7e1d]
/usr/lib/xulrunner-1.9/libxul.so[0x26a715f]
/usr/lib/xulrunner-1.9/libxul.so[0x26af3d6]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x616)[0x6d4ce94]
/usr/lib/xulrunner-1.9/libmozjs.so[0x6d40f4c]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x6d4cee3]
/usr/lib/xulrunner-1.9/libxul.so[0x26a3e56]
/usr/lib/xulrunner-1.9/libxul.so[0x269f3fd]
/usr/lib/xulrunner-1.9/libxul.so[0x2ed8928]
/usr/lib/xulrunner-1.9/libxul.so[0x2caa047]
/usr/lib/xulrunner-1.9/libxul.so[0x2caa536]
/usr/lib/xulrunner-1.9/libxul.so[0x2caa667]
/usr/lib/xulrunner-1.9/libxul.so(XRE_main+0x1dd0)[0x2677bf9]
/usr/lib/firefox-3.0.4/firefox[0x8049169]
/lib/libc.so.6(__libc_start_main+0xe5)[0x1b06d5]
/usr/lib/firefox-3.0.4/firefox[0x8048cc1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-0011c000 r-xp 00000000 fd:01 1385467    /lib/libnss_files-2.9.so
0011c000-0011d000 r--p 0000a000 fd:01 1385467    /lib/libnss_files-2.9.so
0011d000-0011e000 rw-p 0000b000 fd:01 1385467    /lib/libnss_files-2.9.so
0011e000-00129000 r-xp 00000000 fd:01 1157801    /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
00129000-0012a000 rw-p 0000b000 fd:01 1157801    /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
0012a000-00138000 r-xp 00000000 fd:01 1158393    /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00138000-00139000 rw-p 0000d000 fd:01 1158393    /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00139000-0013d000 r-xp 00000000 fd:01 1155178    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0013d000-0013e000 rw-p 00003000 fd:01 1155178    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0013e000-00142000 r-xp 00000000 fd:01 1384567    /lib/libcap.so.2.10
00142000-00143000 rw-p 00003000 fd:01 1384567    /lib/libcap.so.2.10
00144000-0015b000 r-xp 00000000 fd:01 1010182    /usr/lib/libICE.so.6.3.0
0015b000-0015c000 rw-p 00016000 fd:01 1010182    /usr/lib/libICE.so.6.3.0
0015c000-0015e000 rw-p 0015c000 00:00 0 
00160000-0016d000 r-xp 00000000 fd:01 1385442    /lib/libgcc_s-4.3.2-20081105.so.1
0016d000-0016e000 rw-p 0000c000 fd:01 1385442    /lib/libgcc_s-4.3.2-20081105.so.1
0016e000-00170000 r-xp 00000000 fd:01 1384861    /lib/libcom_err.so.2.1
00170000-00171000 rw-p 00001000 fd:01 1384861    /lib/libcom_err.so.2.1
00171000-00191000 r-xp 00000000 fd:01 1384550    /lib/ld-2.9.so
00192000-00193000 r--p 00020000 fd:01 1384550    /lib/ld-2.9.so
00193000-00194000 rw-p 00021000 fd:01 1384550    /lib/ld-2.9.so
00196000-00197000 r-xp 00000000 fd:01 1012628    /usr/lib/libxcb-xlib.so.0.0.0
00197000-00198000 rw-p 00000000 fd:01 1012628    /usr/lib/libxcb-xlib.so.0.0.0
0019a000-00308000 r-xp 00000000 fd:01 1384552    /lib/libc-2.9.so
00308000-0030a000 r--p 0016e000 fd:01 1384552    /lib/libc-2.9.so
0030a000-0030b000 rw-p 00170000 fd:01 1384552    /lib/libc-2.9.so
0030b000-0030e000 rw-p 0030b000 00:00 0 
00310000-00337000 r-xp 00000000 fd:01 1384602    /lib/libm-2.9.so
00337000-00338000 r--p 00026000 fd:01 1384602    /lib/libm-2.9.so
00338000-00339000 rw-p 00027000 fd:01 1384602    /lib/libm-2.9.so
0033b000-0033e000 r-xp 00000000 fd:01 1384570    /lib/libdl-2.9.so
0033e000-0033f000 r--p 00002000 fd:01 1384570    /lib/libdl-2.9.so
0033f000-00340000 rw-p 00003000 fd:01 1384570    /lib/libdl-2.9.so
00342000-00358000 r-xp 00000000 fd:01 1384554    /lib/libpthread-2.9.so
00358000-00359000 r--p 00015000 fd:01 1384554    /lib/libpthread-2.9.so
00359000-0035a000 rw-p 00016000 fd:01 1384554    /lib/libpthread-2.9.so
0035a000-0035c000 rw-p 0035a000 00:00 0 
0035e000-00371000 r-xp 00000000 fd:01 1384606    /lib/libz.so.1.2.3
00371000-00372000 rw-p 00012000 fd:01 1384606    /lib/libz.so.1.2.3
00374000-0038e000 r-xp 00000000 fd:01 1384574    /lib/libselinux.so.1
0038e000-0038f000 r--p 00019000 fd:01 1384574    /lib/libselinux.so.1
0038f000-00390000 rw-p 0001a000 fd:01 1384574    /lib/libselinux.so.1
00392000-00474000 r-xp 00000000 fd:01 1384564    /lib/libglib-2.0.so.0.1800.2
00474000-00475000 rw-p 000e1000 fd:01 1384564    /lib/libglib-2.0.so.0.1800.2
00477000-0047f000 r-xp 00000000 fd:01 1384557    /lib/librt-2.9.so
0047f000-00480000 r--p 00007000 fd:01 1384557    /lib/librt-2.9.so
00480000-00481000 rw-p 00008000 fd:01 1384557    /lib/librt-2.9.so
00483000-0049e000 r-xp 00000000 fd:01 1012626    /usr/lib/libxcb.so.1.0.0
0049e000-0049f000 rw-p 0001b000 fd:01 1012626    /usr/lib/libxcb.so.1.0.0
004a1000-004a6000 r-xp 00000000 fd:01 1012625    /usr/lib/libXdmcp.so.6.0.0
004a6000-004a7000 rw-p 00004000 fd:01 1012625    /usr/lib/libXdmcp.so.6.0.0
004a9000-005a6000 r-xp 00000000 fd:01 1012629    /usr/lib/libX11.so.6.2.0
005a6000-005a9000 rw-p 000fd000 fd:01 1012629    /usr/lib/libX11.so.6.2.0
005a9000-005aa000 rw-p 005a9000 00:00 0 
005ac000-005ae000 r-xp 00000000 fd:01 1012624    /usr/lib/libXau.so.6.0.0
005ae000-005af000 rw-p 00001000 fd:01 1012624    /usr/lib/libXau.so.6.0.0
005b1000-005f1000 r-xp 00000000 fd:01 1384568    /lib/libgobject-2.0.so.0.1800.2
005f1000-005f2000 rw-p 00040000 fd:01 1384568    /lib/libgobject-2.0.so.0.1800.2
005f4000-00603000 r-xp 00000000 fd:01 1012709    /usr/lib/libXext.so.6.4.0
00603000-00604000 rw-p 0000e000 fd:01 1012709    /usr/lib/libXext.so.6.4.0
00606000-0062b000 r-xp 00000000 fd:01 1384607    /lib/libexpat.so.1.5.2
0062b000-0062d000 rw-p 00024000 fd:01 1384607    /lib/libexpat.so.1.5.2
0062f000-00656000 r-xp 00000000 fd:01 1010879    /usr/lib/libpng12.so.0.33.0
00656000-00657000 rw-p 00026000 fd:01 1010879    /usr/lib/libpng12.so.0.33.0
00659000-006e8000 r-xp 00000000 fd:01 1012622    /usr/lib/libfreetype.so.6.3.18
006e8000-006ec000 rw-p 0008e000 fd:01 1012622    /usr/lib/libfreetype.so.6.3.18
006ee000-006f1000 r-xp 00000000 fd:01 1384572    /lib/libgmodule-2.0.so.0.1800.2
006f1000-006f2000 rw-p 00002000 fd:01 1384572    /lib/libgmodule-2.0.so.0.1800.2
006f4000-00722000 r-xp 00000000 fd:01 1012623    /usr/lib/libfontconfig.so.1.3.0
00722000-00723000 rw-p 0002e000 fd:01 1012623    /usr/lib/libfontconfig.so.1.3.0
00725000-0072d000 r-xp 00000000 fd:01 1012630    /usr/lib/libXrender.so.1.3.0
0072d000-0072e000 rw-p 00007000 fd:01 1012630    /usr/lib/libXrender.so.1.3.0
00730000-00734000 r-xp 00000000 fd:01 1384566    /lib/libgthread-2.0.so.0.1800.2
00734000-00735000 rw-p 00003000 fd:01 1384566    /lib/libgthread-2.0.so.0.1800.2
00737000-00739000 r-xp 00000000 fd:01 1012760    /usr/lib/libXinerama.so.1.0.0
00739000-0073a000 rw-p 00001000 fd:01 1012760    /usr/lib/libXinerama.so.1.0.0
0073c000-00744000 r-xp 00000000 fd:01 1012793    /usr/lib/libXi.so.6.0.0
00744000-00745000 rw-p 00007000 fd:01 1012793    /usr/lib/libXi.so.6.0.0
00747000-007b8000 r-xp 00000000 fd:01 1384590    /lib/libgio-2.0.so.0.1800.2
007b8000-007ba000 rw-p 00071000 fd:01 1384590    /lib/libgio-2.0.so.0.1800.2
007bc000-007c0000 r-xp 00000000 fd:01 1012816    /usr/lib/libXfixes.so.3.1.0
007c0000-007c1000 rw-p 00003000 fd:01 1012816    /usr/lib/libXfixes.so.3.1.0
007c3000-007c9000 r-xp 00000000 fd:01 1012798    /usr/lib/libXrandr.so.2.1.0
007c9000-007ca000 rw-p 00005000 fd:01 1012798    /usr/lib/libXrandr.so.2.1.0
007cc000-007d5000 r-xp 00000000 fd:01 1012832    /usr/lib/libXcursor.so.1.0.2
007d5000-007d6000 rw-p 00008000 fd:01 1012832    /usr/lib/libXcursor.so.1.0.2
007d8000-0084e000 r-xp 00000000 fd:01 1012642    /usr/lib/libcairo.so.2.10800.0
0084e000-00850000 rw-p 00075000 fd:01 1012642    /usr/lib/libcairo.so.2.10800.0
00852000-0086e000 r-xp 00000000 fd:01 1012562    /usr/lib/libgdk_pixbuf-2.0.so.0.1400.4
0086e000-0086f000 rw-p 0001b000 fd:01 1012562    /usr/lib/libgdk_pixbuf-2.0.so.0.1400.4
00871000-0087b000 r-xp 00000000 fd:01 1012682    /usr/lib/libpangocairo-1.0.so.0.2201.0
0087b000-0087c000 rw-p 00009000 fd:01 1012682    /usr/lib/libpangocairo-1.0.so.0.2201.0
0087e000-008c3000 r-xp 00000000 fd:01 1012602    /usr/lib/libpixman-1.so.0.12.0
008c3000-008c5000 rw-p 00045000 fd:01 1012602    /usr/lib/libpixman-1.so.0.12.0
008c7000-008f0000 r-xp 00000000 fd:0^C
Comment 1 Alexander Todorov 2008-11-28 10:06:37 EST
Correction: FF crashes only when the smart card reader is not pluged in. This is a regression in behavior.
Comment 2 Alexander Todorov 2008-12-06 10:07:24 EST
Created attachment 326001 [details]
ltrace from firefox /not sure how helpful is this/

I'm willing to test new packages or provide more info if needed.
Comment 3 Deian 2009-01-07 08:10:56 EST
I have the same behavior.
In addition I would like to add that seamonkey also hangs the same way.

In order to work normally I have to stop pcscd

On Fedora8 I have had no such problem.
Comment 4 Alexander Todorov 2009-01-07 08:31:43 EST
I have firefox-3.0.5-1.el5_2 on a RHEL5/i386 box configured with the same drivers and smart card device. Doesn't crash. Same version on F10 crashes.
Comment 5 Kai Engert (:kaie) 2009-01-07 10:34:34 EST
Martin, could this Firefox crash on Fedora 10 caused by the same optimization/aliasing issue that you discovered in SeaMonkey on Fedora 10?

I suspect it is, because the code that Jakub Jelinek criticized is used on both.
Comment 6 Deian 2009-01-07 10:46:52 EST
I already tried with the new release seamonkey-1.1.14-2.fc10.i386

Still the same problem.
Comment 7 Kai Engert (:kaie) 2009-01-08 19:09:35 EST
Deian, thanks for your feedback. So we know it's a separate problem, and most likely either in NSS or in the external closed-source product.
Comment 8 Kai Engert (:kaie) 2009-01-08 19:11:44 EST
Alexander, in your first comment you said:
  "After upgrading yesterday it stopped working."

What upgrade was that?
An upgrade of libsiecap11.so?
Or an upgrade from old Fedora to Fedora 10?
Comment 9 Kai Engert (:kaie) 2009-01-08 19:16:13 EST
Can you say, how do you trigger the crash?

Please run (as root):
  debuginfo-install firefox xulrunner nspr nss

Then please repeat the crash. I hope this will cause the output to be more detailed than what we see in your first comment.
Comment 10 Kai Engert (:kaie) 2009-01-08 19:18:16 EST
Actually, it seems very likely that your crash is caused by a failure inside of your external libsiecap11.so module.

As you can see in the stack, the most recent code is:
/lib/libc.so.6[0x209394]
/lib/libc.so.6(cfree+0x96)[0x20b346]
/usr/lib/libsiecap11.so(pkcs11_FinalizeSlotList+0x4c)[0x6cbe49c]
/usr/lib/libsiecap11.so(pkcs11_FinalizeContext+0x33)[0x6cbe4e3]
/usr/lib/libsiecap11.so(_C_Initialize+0x159)[0x6c9f159]

I suspect that libsiecap11.so tries to free memory that is *managed by libsiecap11.so*

Can you try to contact the vendor providing libsiecap11.so?
Comment 11 Alexander Todorov 2009-01-09 02:19:18 EST
Hi Kai,
the upgrade I mentioned was F10 to latest updates available at the date I filed the bug. It included firefox-3.0.4-1.fc10.i386. ATM I'm using firefox-3.0.5-1.fc10.i386 and the issue persists.


I don't suspect the proprietary library is faulty because the very same library (it's only 1 version which I have) and same version of firefox work on fresh RHEL5.3 install. I'll try running what you proposed and see if I can get more info.
Comment 12 Alexander Todorov 2009-01-09 03:43:18 EST
Steps to reproduce:

1) Configure Firefox to use the smart card device
2) run firefox from a shell
3) while main window is in focus click the minimize button
4) observe the stack trace on the shell


With debuginfo packages the stack trace is:
$ firefox 
*** glibc detected *** /usr/lib/firefox-3.0.5/firefox: double free or corruption (fasttop): 0x092d73f0 ***
======= Backtrace: =========
/lib/libc.so.6[0x7793a4]
/lib/libc.so.6(cfree+0x96)[0x77b356]
/usr/lib/libsiecap11.so(pkcs11_FinalizeSlotList+0x4c)[0x4d8949c]
/usr/lib/libsiecap11.so(pkcs11_FinalizeContext+0x33)[0x4d894e3]
/usr/lib/libsiecap11.so(_C_Initialize+0x159)[0x4d6a159]
/lib/libnss3.so[0x7b5e583]
/lib/libnss3.so[0x7b5eba8]
/lib/libnss3.so(SECMOD_LoadModule+0x18b)[0x7b71feb]
/lib/libnss3.so(SECMOD_LoadModule+0x31f)[0x7b7217f]
/lib/libnss3.so[0x7b3ebf2]
/lib/libnss3.so(NSS_InitReadWrite+0x89)[0x7b3f259]
/usr/lib/xulrunner-1.9/libxul.so[0x67e866a]
/usr/lib/xulrunner-1.9/libxul.so[0x67e8b15]
/usr/lib/xulrunner-1.9/libxul.so[0x67f3666]
/usr/lib/xulrunner-1.9/libxul.so[0x69a73e8]
/usr/lib/xulrunner-1.9/libxul.so[0x69d3539]
/usr/lib/xulrunner-1.9/libxul.so[0x69d45d8]
/usr/lib/xulrunner-1.9/libxul.so[0x69a2249]
/usr/lib/xulrunner-1.9/libxul.so[0x69a2296]
/usr/lib/xulrunner-1.9/libxul.so[0x69a188b]
/usr/lib/xulrunner-1.9/libxul.so[0x67f20c1]
/usr/lib/xulrunner-1.9/libxul.so[0x67f2c01]
/usr/lib/xulrunner-1.9/libxul.so[0x69a73e8]
/usr/lib/xulrunner-1.9/libxul.so[0x69d3539]
/usr/lib/xulrunner-1.9/libxul.so[0x69a2167]
/usr/lib/xulrunner-1.9/libxul.so[0x69a2186]
/usr/lib/xulrunner-1.9/libxul.so[0x69a1801]
/usr/lib/xulrunner-1.9/libxul.so[0x67c9298]
/usr/lib/xulrunner-1.9/libxul.so[0x67c9719]
/usr/lib/xulrunner-1.9/libxul.so[0x67ba0f3]
/usr/lib/xulrunner-1.9/libxul.so[0x69a73e8]
/usr/lib/xulrunner-1.9/libxul.so[0x69d35ec]
/usr/lib/xulrunner-1.9/libxul.so[0x69d47a8]
/usr/lib/xulrunner-1.9/libxul.so[0x61a505d]
/usr/lib/xulrunner-1.9/libxul.so(NS_InvokeByIndex_P+0x29)[0x69e6b09]
/usr/lib/xulrunner-1.9/libxul.so[0x61b5403]
/usr/lib/xulrunner-1.9/libxul.so[0x61bd67a]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x616)[0x244ed4]
/usr/lib/xulrunner-1.9/libmozjs.so[0x238f8c]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x244f23]
/usr/lib/xulrunner-1.9/libmozjs.so[0x245152]
/usr/lib/xulrunner-1.9/libmozjs.so[0x23c85a]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x244f23]
/usr/lib/xulrunner-1.9/libxul.so[0x61b20fa]
/usr/lib/xulrunner-1.9/libxul.so[0x61ad6a1]
/usr/lib/xulrunner-1.9/libxul.so[0x69e7614]
/usr/lib/xulrunner-1.9/libxul.so[0x69d35ec]
/usr/lib/xulrunner-1.9/libxul.so[0x69d47a8]
/usr/lib/xulrunner-1.9/libxul.so[0x61a505d]
/usr/lib/xulrunner-1.9/libxul.so(NS_InvokeByIndex_P+0x29)[0x69e6b09]
/usr/lib/xulrunner-1.9/libxul.so[0x61b5403]
/usr/lib/xulrunner-1.9/libxul.so[0x61bd67a]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x616)[0x244ed4]
/usr/lib/xulrunner-1.9/libmozjs.so[0x238f8c]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x244f23]
/usr/lib/xulrunner-1.9/libmozjs.so[0x245152]
/usr/lib/xulrunner-1.9/libmozjs.so[0x23c85a]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x244f23]
/usr/lib/xulrunner-1.9/libmozjs.so[0x245152]
/usr/lib/xulrunner-1.9/libmozjs.so[0x23c85a]
/usr/lib/xulrunner-1.9/libmozjs.so(js_Invoke+0x665)[0x244f23]
/usr/lib/xulrunner-1.9/libxul.so[0x61b20fa]
/usr/lib/xulrunner-1.9/libxul.so[0x61ad6a1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-001f8000 r-xp 00000000 fd:01 1010616    /usr/lib/libstdc++.so.6.0.10
001f8000-001fc000 r--p 000e6000 fd:01 1010616    /usr/lib/libstdc++.so.6.0.10
001fc000-001fe000 rw-p 000ea000 fd:01 1010616    /usr/lib/libstdc++.so.6.0.10
001fe000-00203000 rw-p 001fe000 00:00 0 
00203000-002ba000 r-xp 00000000 fd:01 1172992    /usr/lib/xulrunner-1.9/libmozjs.so
002ba000-002bf000 rw-p 000b6000 fd:01 1172992    /usr/lib/xulrunner-1.9/libmozjs.so
002bf000-002ca000 r-xp 00000000 fd:01 1387433    /lib/libnss_files-2.9.so
002ca000-002cb000 r--p 0000a000 fd:01 1387433    /lib/libnss_files-2.9.so
002cb000-002cc000 rw-p 0000b000 fd:01 1387433    /lib/libnss_files-2.9.so
002cc000-002d7000 r-xp 00000000 fd:01 1157801    /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
002d7000-002d8000 rw-p 0000b000 fd:01 1157801    /usr/lib/gtk-2.0/2.10.0/engines/libmist.so
002d8000-002e6000 r-xp 00000000 fd:01 237640     /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
002e6000-002e7000 rw-p 0000d000 fd:01 237640     /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
002e7000-00337000 r-xp 00000000 fd:01 1401262    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
00337000-00338000 rw-p 00050000 fd:01 1401262    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
00338000-0034d000 r-xp 00000000 fd:01 1025055    /usr/lib/libelf-0.137.so
0034d000-0034e000 r--p 00014000 fd:01 1025055    /usr/lib/libelf-0.137.so
0034e000-0034f000 rw-p 00015000 fd:01 1025055    /usr/lib/libelf-0.137.so
0034f000-00353000 r-xp 00000000 fd:01 1156648    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00353000-00354000 rw-p 00003000 fd:01 1156648    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
00354000-00362000 r-xp 00000000 fd:01 1058963    /usr/lib/libcanberra.so.0.1.3
00362000-00363000 rw-p 0000e000 fd:01 1058963    /usr/lib/libcanberra.so.0.1.3
00363000-00366000 r-xp 00000000 fd:01 1123238    /usr/lib/libcanberra-gtk.so.0.0.4
00366000-00367000 rw-p 00002000 fd:01 1123238    /usr/lib/libcanberra-gtk.so.0.0.4
00367000-0036e000 r-xp 00000000 fd:01 1024985    /usr/lib/libvorbisfile.so.3.2.0
0036e000-0036f000 rw-p 00006000 fd:01 1024985    /usr/lib/libvorbisfile.so.3.2.0
0036f000-0038c000 r-xp 00000000 fd:01 1011559    /usr/lib/libvorbis.so.0.4.0
0038c000-0039a000 rw-p 0001d000 fd:01 1011559    /usr/lib/libvorbis.so.0.4.0
0039a000-003a7000 r-xp 00000000 fd:01 1012860    /usr/lib/libtdb.so.1
003a7000-003a8000 r--p 0000c000 fd:01 1012860    /usr/lib/libtdb.so.1
003a8000-003a9000 rw-p 0000d000 fd:01 1012860    /usr/lib/libtdb.so.1
003a9000-00439000 r-xp 00000000 fd:01 1025015    /usr/lib/libgnomeui-2.so.0.2400.0
00439000-0043d000 rw-p 0008f000 fd:01 1025015    /usr/lib/libgnomeui-2.so.0.2400.0
0043d000-0046e000 r-xp 00000000 fd:01 1025005    /usr/lib/libgnomecanvas-2.so.0.2001.0
0046e000-0046f000 rw-p 00031000 fd:01 1025005    /usr/lib/libgnomecanvas-2.so.0.2001.0
0046f000-00483000 r-xp 00000000 fd:01 1025013    /usr/lib/libgnome-2.so.0.2400.1
00483000-00484000 rw-p 00013000 fd:01 1025013    /usr/lib/libgnome-2.so.0.2400.1
00484000-00496000 r-xp 00000000 fd:01 1024984    /usr/lib/libgnome-keyring.so.0.1.1
00496000-00497000 rw-p 00011000 fd:01 1024984    /usr/lib/libgnome-keyring.so.0.1.1
00497000-005e2000 r-xp 00000000 fd:01 1024996    /usr/lib/libxml2.so.2.7.2
005e2000-005e7000 rw-p 0014a000 fd:01 1024996    /usr/lib/libxml2.so.2.7.2
005e7000-005e8000 rw-p 005e7000 00:00 0 
005ea000-0062f000 r-xp 00000000 fd:01 1024931    /usr/lib/libpixman-1.so.0.12.0
0062f000-00631000 rw-p 00045000 fd:01 1024931    /usr/lib/libpixman-1.so.0.12.0
00633000-0064f000 r-xp 00000000 fd:01 1024929    /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5
0064f000-00650000 rw-p 0001b000 fd:01 1024929    /usr/lib/libgdk_pixbuf-2.0.so.0.1400.5
00652000-00696000 r-xp 00000000 fd:01 1024930    /usr/lib/libpango-1.0.so.0.2203.0
00696000-00698000 rw-p 00044000 fd:01 1024930    /usr/lib/libpango-1.0.so.0.2203.0
0069a000-006c3000 r-xp 00000000 fd:01 1024941    /usr/lib/libpangoft2-1.0.so.0.2203.0
006c3000-006c4000 rw-p 00029000 fd:01 1024941    /usr/lib/libpangoft2-1.0.so.0.2203.0
006c6000-006d0000 r-xp 00000000 fd:01 1024942    /usr/lib/libpangocairo-1.0.so.0.2203.0
006d0000-006d1000 rw-p 00009000 fd:01 1024942    /usr/lib/libpangocairo-1.0.so.0.2203.0
006d1000-006d9000 r-xp 00000000 fd:01 1386851    /lib/libpopt.so.0.0.0
006d9000-006da000 rw-p 00007000 fd:01 1386851    /lib/libpopt.so.0.0.0
006da000-006e0000 r-xp 00000000 fd:01 1025003    /usr/lib/libgailutil.so.18.0.1
006e0000-006e1000 rw-p 00005000 fd:01 1025003    /usr/lib/libgailutil.so.18.0.1
006e1000-006e4000 r-xp 00000000 fd:01 1012450    /usr/lib/libavahi-glib.so.1.0.1
006e4000-006e5000 rw-p 00002000 fd:01 1012450    /usr/lib/libavahi-glib.so.1.0.1
006e5000-00705000 r-xp 00000000 fd:01 1384483    /lib/ld-2.9.so
00706000-00707000 r--p 00020000 fd:01 1384483    /lib/ld-2.9.so
00707000-00708000 rw-p 00021000 fd:01 1384483    /lib/ld-2.9.so
0070a000-00878000 r-xp 00000000 fd:01 1384855    /lib/libc-2.9.so
00878000-0087a000 r--p 0016e000 fd:01 1384855    /lib/libc-2.9.so
0087a000-0087b000 rw-p 00170000 fd:01 1384855    /lib/libc-2.9.so
0087b000-0087e000 rw-p 0087b000 00:00 0 
00880000-008a7000 r-xp 00000000 fd:01 1385886    /lib/libm-2.9.so
008a7000-008a8000 r--p 00026000 fd:01 1385886    /lib/libm-2.9.so
008a8000-008a9000 rw-p 00027000 fd:01 1385886    /lib/libm-2.9.so
008ab000-008ae000 r-xp 00000000 fd:01 1385712    /lib/libdl-2.9.so
008ae000-008af000 r--p 00002000 fd:01 1385712    /lib/libdl-2.9.so
008af000-008b0000 rw-p 00003000 fd:01 1385712    /lib/libdl-2.9.so
008b2000-008c8000 r-xp 00000000 fd:01 1385491    /lib/libpthread-2.9.so
008c8000-008c9000 r--p 00015000 fd:01 1385491    /lib/libpthread-2.9.so
008c9000-008ca000 rw-p 00016000 fd:01 1385491    /lib/libpthread-2.9.so
008ca000-008cc000 rw-p 008ca000 00:00 0 
008ce000-008e1000 r-xp 00000000 fd:01 1385898    /lib/libz.so.1.2.3
008e1000-008e2000 rw-p 00012000 fd:01 1385898    /lib/libz.so.1.2.3
008e4000-009c6000 r-xp 00000000 fd:01 1385708    /lib/libglib-2.0.so.0.1800.3
009c6000-009c7000 rw-p 000e2000 fd:01 1385708    /lib/libglib-2.0.so.0.1800.3
009c9000-009e3000 r-xp 00000000 fd:01 1385853    /lib/libselinux.so.1
009e3000-009e4000 r--p 00019000 fd:01 1385853    /lib/libselinux.so.1
009e4000-009e5000 rw-p 0001a000 fd:01 1385853    /lib/libselinux.so.1
009e7000-009e9000 r-xp 00000000 fd:01 1024934    /usr/lib/libXau.so.6.0.0
009e9000-009ea000 rw-p 00001000 fd:01 1024934    /usr/lib/libXau.so.6.0.0
009ec000-009f4000 r-xp 00000000 fd:01 1385507    /lib/librt-2.9.so
009f4000-009f5000 r--p 00007000 fd:01 1385507    /lib/librt-2.9.so
009f5000-009f6000 rw-p 00008000 fd:01 1385507    /lib/librt-2.9.so
009f8000-009f9000 r-xp 00000000 fd:01 1024937    /usr/lib/libxcb-xlib.so.0.0.0
009f9000-009fa000 rw-p 00000000 fd:01 1024937    /usr/lib/libxcb-xlib.so.0.0.0
009fc000-00a01000 r-xp 00000000 fd:01 1024935    /usr/lib/libXdmcp.so.6.0.0
00a01000-00a02000 rw-p 00004000 fd:01 1024935    /usr/lib/libXdmcp.so.6.0.0
00a04000-00a1f000 r-xp 00000000 fd:01 1024936    /usr/lib/libxcb.so.1.0.0
00a1f000-00a20000 rw-p 0001b000 fd:01 1024936    /usr/lib/libxcb.so.1.0.0
00a22000-00b1f000 r-xp 00000000 fd:01 1024938    /usr/lib/libX11.so.6.2.0
00b1f000-00b23000 rw-p 000fc000 fd:01 1024938    /usr/lib/libX11.so.6.2.0
00b25000-00b34000 r-xp 00000000 fd:01 1024943    /usr/lib/libXext.so.6.4.0
00b34000-00b35000 rw-p 0000e000 fd:01 1024943    /usr/lib/libXext.so.6.4.0
00b37000-00b5c000 r-xp 00000000 fd:01 1386004    /lib/libexpat.so.1.5.2
00b5c000-00b5e000 rw-p 00024000 fd:01 1386004    /lib/libexpat.so.1.5.2
00b60000-00b87000 r-xp 00000000 fd:01 1024928    /usr/lib/libpng12.so.0.33.0
00b87000-00b88000 rw-p 00026000 fd:01 1024928    /usr/lib/libpng12.so.0.33.0
00b8a000-00c19000 r-xp 00000000 fd:01 1024932    /usr/lib/libfreetype.so.6.3.18
00c19000-00c1d000 rw-p 0008f000 fd:01 1024932    /usr/lib/libfreetype.so.6.3.18
00c1f000-00c4d000 r-xp 00000000 fd:01 1024933    /usr/lib/libfontconfig.so.1.3.0
00c4d000-00c4e000 rw-p 0002e000 fd:01 1024933    /usr/lib/libfontconfig.so.1.3.0
00c50000-00c58000 r-xp 00000000 fd:01 1024939    /usr/lib/libXrender.so.1.3.0
00c58000-00c59000 rw-p 00
Comment 13 Bug Zapper 2009-11-18 04:01:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 02:00:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.